import { Flags } from '@oclif/core';
import { ApifyCommand } from '../lib/apify_command.js';
import { checkLatestVersion } from '../lib/version_check.js';
export class CheckVersionCommand extends ApifyCommand {
    static description = 'Checks that installed Apify CLI version is up to date.';
    static flags = {
        'enforce-update': Flags.boolean({
            char: 'e',
            description: '[Optional] Enforce version update from NPM',
            required: false,
        }),
    };
    static hidden = true;
    static hiddenAliases = ['cv'];
    async run() {
        await checkLatestVersion(this.flags.enforceUpdate);
    }
}
//# sourceMappingURL=check-version.js.map