import type { ApifyClient } from 'apify-client';
/**
 * Tries to resolve what actor the command ran points to. If an actor id is provided via command line, attempt to resolve it,
 * thus assuming the actor is the one the command should be ran on. If no actor id is provided, try to resolve the actor from the local
 * configuration file. If none of these are successful, return null, signaling an unknown context, and thus no way to continue.
 * @param providedActorNameOrId Actor name or id provided via command line
 */
export declare function resolveActorContext({ providedActorNameOrId, client, }: {
    providedActorNameOrId: string | undefined;
    client: ApifyClient;
}): Promise<{
    valid: false;
    reason: string;
    userFriendlyId?: undefined;
    id?: undefined;
} | {
    valid: true;
    userFriendlyId: string;
    id: string;
    reason?: undefined;
}>;
//# sourceMappingURL=resolve-actor-context.d.ts.map